JNA API 3.3.0

## com.sun.jna.platform.win32
Interface Oleaut32

All Superinterfaces:
  AltCallingConvention, Library, StdCall, StdCallLibrary

    public interface Oleaut32

extends StdCallLibrary

Oleaut32.dll Interface.

Author:
  scott.palmer

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`Library.Handler`

Field Summary
`static Oleaut32` | `INSTANCE`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`Pointer` | `SysAllocString(String sz)` This function allocates a new string and copies the passed string into it.
`void` | `SysFreeString(Pointer bstr)` This function frees a string allocated previously by SysAllocString, SysAllocStringByteLen, SysReAllocString, SysAllocStringLen, or SysReAllocStringLen.

Field Detail

### INSTANCE

    static final Oleaut32 INSTANCE

Method Detail

### SysAllocString

    Pointer SysAllocString(String sz)

  This function allocates a new string and copies the passed string into it.

  Parameters:
    `sz` - Null-terminated UNICODE string to copy.
  Returns:
    Null if there is insufficient memory or if a null pointer is passed in.

### SysFreeString

    void SysFreeString(Pointer bstr)

  This function frees a string allocated previously by SysAllocString, SysAllocStringByteLen, SysReAllocString, SysAllocStringLen, or SysReAllocStringLen.

  Parameters:
    `bstr` - Unicode string that was allocated previously, or NULL. Setting this parameter to NULL causes the function to simply return.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.